<div class="container mt-4">

    <ng-template #dangerTpl>
        <svg xmlns="http://www.w3.org/2000/svg" fill="#fff" width="24" height="24" viewBox="0 0 24 24">
            <path
                d="M8.982 1.566a1.13 1.13 0 0 0-1.96 0L.165 13.233c-.457.778.091 1.767.98 1.767h13.713c.889 0 1.438-.99.98-1.767L8.982 1.566zM8 5c.535 0 .954.462.9.995l-.35 3.507a.552.552 0 0 1-1.1 0L7.1 5.995A.905.905 0 0 1 8 5zm.002 6a1 1 0 1 1 0 2 1 1 0 0 1 0-2z"
            />
        </svg>
        Notification Delete Data !
    </ng-template>

    <ng-template #warningTpl>
        <svg xmlns="http://www.w3.org/2000/svg" fill="#000" width="24" height="24" viewBox="0 0 24 24">
            <path
                d="M8 16A8 8 0 1 0 8 0a8 8 0 0 0 0 16zm.93-9.412-1 4.705c-.07.34.029.533.304.533.194 0 .487-.07.686-.246l-.088.416c-.287.346-.92.598-1.465.598-.703 0-1.002-.422-.808-1.319l.738-3.468c.064-.293.006-.399-.287-.47l-.451-.081.082-.381 2.29-.287zM8 5.5a1 1 0 1 1 0-2 1 1 0 0 1 0 2z"
            />
        </svg>
        Notification Update Data !
    </ng-template>

    <div class="row">
        <div class="col-md-12">
            <a href="#" routerLink="/employee/create" class="btn btn-primary float-end">Create Employee</a>
        </div>
        <div class="col-md-12 mb-3">
            <span>Show Data</span>
            <div class="row">
                <div class="col-md-1">
                    <label></label>
                    <select class="form-select" aria-label="Default select example" (change)="showData($event.target)" [(ngModel)]="itemsPerPage">
                        <!-- <option>Show</option> -->
                        <option value="4" selected>4</option>
                        <option value="12">12</option>
                        <option value="36">36</option>
                    </select>
                </div>
                <div class="col-md-2">
                    <label></label>
                    <select class="form-select" aria-label="Default select example" (change)="groupChange($event.target)" [(ngModel)]="groupFilter">
                        <option value="" selected>All Group</option>
                        <option value="Fullstack Development">Fullstack Development</option>
                        <option value="Frontend Development">Frontend Development</option>
                        <option value="Backend Development">Backend Development</option>
                        <option value="Scrum Master">Scrum Master</option>
                    </select>
                </div>
                <div class="col-md-2">
                    <label></label>
                    <select class="form-select" aria-label="Default select example" (change)="statusChange($event.target)" [(ngModel)]="statusFilter">
                        <option value="" selected>All Status</option>
                        <option value="Active">Active</option>
                        <option value="Not Active">Not Active</option>
                    </select>
                </div>
                <div class="col-md-3">
                    <label></label>
                    <select class="form-select" aria-label="Default select example" (change)="orderChange($event.target)" [(ngModel)]="orderBy">
                        <option value="" selected>Order By</option>
                        <option value="firstName">First Name</option>
                        <option value="email">Email</option>
                    </select>
                </div>
                <div class="col-md-4">
                    <label></label>
                    <div class="input-group">
                        <span class="input-group-text">Searching...</span>
                        <input [(ngModel)]="search" type="text" aria-label="Search" class="form-control" placeholder="Search..." (change)="searchChange($event.target)">
                    </div>
                </div>
            </div>
        </div>
        
        <div class="col-md-12">
            <div class="row">
                <div class="d-flex col-md-3" *ngFor="let employee of employees | paginate
                : {
                    itemsPerPage: itemsPerPage,
                    currentPage: page,
                    totalItems: totalItems
                  }">
                    <div class="card p-1 py-3 m-1" >
                        <div class="text-center"> 
                        <img src="https://i.imgur.com/stD0Q19.jpg" width="100" class="rounded-circle">
                            <h3 class="mt-2">{{employee.firstName}} {{employee.lastName}}</h3>
                            <span class="mt-1 clearfix">{{employee.email}} </span>
                            <span class="mt-1">{{employee.group}} | </span>
                            <span *ngIf="employee.status === 'Active'" class="badge text-primary mt-1 clearfix">{{employee.status}} </span>
                            <span *ngIf="employee.status === 'Not Active'" class="badge text-danger mt-1 clearfix">{{employee.status}} </span>
                            <br/>
                            <br/>
                            <button class="btn btn-sm btn-warning" (click)="update(warningTpl)">Update</button
                                >&nbsp;
                            <button class="btn btn-sm btn-danger" (click)="delete(dangerTpl)">Delete</button
                                >&nbsp;
                            <hr class="line">
                            <small class="">{{employee.description}}</small>
                            <div class="profile mt-2">
                                <a href="#" class="btn btn-primary px-5" [routerLink]="['/employee/',employee.id,'show']">View profile</a>
                            </div>
                        </div>
                    </div>
                </div>
                
            </div>
        </div> 
        <div class="col-md-12 justify-content-center" align="center">
            <br/>
            <br/>
            <pagination-controls class="pagi" (pageChange)="gty((page = $event))"></pagination-controls>
        </div>
    </div>

    <app-toasts aria-live="polite" aria-atomic="true"></app-toasts>
    
</div>